<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head/>
<body th:fragment="text(label, field, required, maxlength, placeholder, columnsize, form, object)">
	<form class="ui form" th:id="${form}" th:object="${__${object}__}" method="post">
		<input type="hidden" th:field="*{id}" />
		<div class="fields">
		   <div th:class="${required} ? ${'required field ' + columnsize} : ${'field ' + columnsize}" th:classappend="${#fields.hasErrors(field)} ? 'error'" >
		      <label class="ui dividing header" th:text="${label != ''} ? ${label}"></label>
		      <div>
		         <input th:attr="maxlength=${maxlength > 0} ? ${maxlength}" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" type="text" th:if="${field} != 'description'"/>
 				 <textarea rows="5" style="resize:none" th:field="*{__${field}__}" th:placeholder="${placeholder != ''} ? ${placeholder}" th:maxlength="${maxlength != null} ? ${maxlength}" th:if="${field} == 'description'"></textarea>		      
		      </div>
		      <div class="ui basic red pointing prompt label transition visible" th:if="${#fields.hasErrors(field)}" th:utext="${#strings.replace(#strings.replace(#fields.errors(field), '[', ''), ']', '')}"></div>
		   </div>
		</div>   
		   	<br />
	      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
	                                                                    icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
	                                                                    icon1url = ''
	                                                                    )"/>
	   	<input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>                                                                    
   </form>
</body>
</html>